<?php
	
	function themezee_get_sections() {
		$themezee_sections = array();
		
		$themezee_sections[] = array("id" => "themeZee_main",
					"name" => __('Настройки темы', ZEE_LANG));
					
		$themezee_sections[] = array("id" => "themeZee_slider",
					"name" => __('Слайдер', ZEE_LANG));
					
		$themezee_sections[] = array("id" => "themeZee_buttons",
					"name" => __('Социальные сервисы', ZEE_LANG));
					
		$themezee_sections[] = array("id" => "themeZee_banner",
					"name" => __('Баннер 125x125', ZEE_LANG));
		return $themezee_sections;
	}
	
	function themezee_get_settings() {
	
		$color_styles = array(
			'blue.css' => __('Blue', ZEE_LANG),
			'darkblue.css' => __('Darkblue', ZEE_LANG),
			'darkgreen.css' => __('Darkgreen', ZEE_LANG),
			'green.css' => __('Green', ZEE_LANG),
			'grey.css' => __('Grey', ZEE_LANG),
			'orange.css' => __('Orange', ZEE_LANG),
			'purple.css' => __('Purple', ZEE_LANG),
			'red.css' => __('Red', ZEE_LANG),
			'standard.css' => __('Standard', ZEE_LANG),
			'custom-color' => __('Custom Color', ZEE_LANG));

		$default_logo =  get_template_directory_uri() . '/images/logo.png';
		$default_banner = get_template_directory_uri() . '/images/ad_125x125.png';
		
		$themezee_settings = array();
	
		### MAIN SETTINGS
		#######################################################################################
		$themezee_settings[] = array("name" => "Logo",
						"desc" => __('Пожалуйста, введите полный адрес к картинке логотипа.', ZEE_LANG),
						"id" => "themeZee_logo",
						"std" => $default_logo,
						"type" => "logo",
						"section" => "themeZee_main");	
								
		$themezee_settings[] = array("name" => __('Содержание в подвале', ZEE_LANG),
						"desc" => __('Введите текст, который вы хотите показывать в подвале.', ZEE_LANG),
						"id" => "themeZee_footer",
						"std" => "Введите текст здесь",
						"type" => "textarea",
						"section" => "themeZee_main");
							
		$themezee_settings[] = array("name" => "Стиль темы",
						"desc" => __('Пожалуйста, выберите желаемую цветовую схему.', ZEE_LANG),
						"id" => "themeZee_stylesheet",
						"std" => "standard.css",
						"type" => "select",
						'choices' => $color_styles,
						"section" => "themeZee_main"
						);
		
		$themezee_settings[] = array("name" => __('Собственные цвета', ZEE_LANG),
						"desc" => __("Выберите собственные цвета здесь (Вы должны Выбрать опцию 'Собственные цвета' выше).", ZEE_LANG),
						"id" => "themeZee_color",
						"std" => "000000",
						"type" => "colorpicker",
						"section" => "themeZee_main");

		$themezee_settings[] = array("name" => __('Пользовательский CSS', ZEE_LANG),
						"desc" => __('Введите свой css-код, он будет добавлен в область head вашей темы.', ZEE_LANG),
						"id" => "themeZee_custom_css",
						"std" => "",
						"type" => "textarea",
						"section" => "themeZee_main");
						
		### POST SLIDER SETTINGS
		#######################################################################################
		$themezee_settings[] = array("name" => __('Показывать слайдер?', ZEE_LANG),
						"desc" => __('Отметьте, если хотите показывать слайдер на главной.', ZEE_LANG),
						"id" => "themeZee_show_slider",
						"std" => "false",
						"type" => "checkbox",
						"section" => "themeZee_slider");
						
		$themezee_settings[] = array("name" => __('Заголовок слайдера', ZEE_LANG),
						"desc" => __('Введите заголовок, который будет показан перед слайдером.', ZEE_LANG),
						"id" => "themeZee_slider_title",
						"std" => "Featured Posts",
						"type" => "text",
						"section" => "themeZee_slider");
						
		$themezee_settings[] = array("name" => "Эффект слайдера",
						"desc" => "",
						"id" => "themeZee_slider_mode",
						"std" => "0",
						"type" => "radio",
						'choices' => array(
									0 => 'Горизонтальный слайдер',
									1 => 'Выпадающий слайдер',
									2 => 'Затухающий слайдер'),
						"section" => "themeZee_slider"
						);

		$themezee_settings[] = array("name" => __('Slider Content', ZEE_LANG),
						"desc" => "",
						"id" => "themeZee_slider_content",
						"std" => "0",
						"type" => "radio",
						'choices' => array(
									0 => __('Показывать новые статьи', ZEE_LANG),
									1 => __('Показывать новые статьи из рубрики "featured"', ZEE_LANG),
									2 => __('Показывать новые статьи с произвольным полем post_meta_key "featured"', ZEE_LANG),
									3 => __('Показывать новые статьи из выбранной рубрики (введите ID ниже)', ZEE_LANG)),
						"section" => "themeZee_slider"
						);
						
		$themezee_settings[] = array("name" => __('category ID', ZEE_LANG),
						"desc" => __("Введите ID рубрики, записи из которой вы хотите показывать в слайдере (вы должны выбрать последнюю опцию выше).", ZEE_LANG),
						"id" => "themeZee_slider_cat",
						"std" => "1",
						"type" => "text",
						"section" => "themeZee_slider");

		$themezee_settings[] = array("name" => __('Количество публикаций', ZEE_LANG),
						"desc" => __('Выберите сколько записей показывать в слайдере.', ZEE_LANG),
						"id" => "themeZee_slider_limit",
						"std" => "5",
						"type" => "text",
						"section" => "themeZee_slider");
		
		### SOCIALMEDIA BUTTONS SETTINGS
		#######################################################################################

		$themezee_settings[] = array("name" => __('Активировать кнопки социальных медиа?', ZEE_LANG),
						"desc" => __('Отметьте, если хотите активировать виджет социальных медиа.', ZEE_LANG),
						"id" => "themeZee_socialmedia_widget",
						"std" => "false",
						"type" => "checkbox",
						"section" => "themeZee_buttons");	
						
		$themezee_settings[] = array("name" => "Адресс RSS",
						"desc" => __('Введите ваш адрес RSS (например, Feedburner).', ZEE_LANG),
						"id" => "themeZee_rss",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Подписка по E-mail",
						"desc" => __('Введите ваш адрес для подписки по E-mail здесь (например, в Feedburner).', ZEE_LANG),
						"id" => "themeZee_email",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Twitter",
						"desc" => __('Введите адрес профиля в Twitter.', ZEE_LANG),
						"id" => "themeZee_twitter",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Facebook",
						"desc" => __('Введите адрес профиля в Facebook.', ZEE_LANG),
						"id" => "themeZee_facebook",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Tumblr",
						"desc" => __('Введите адрес блога Tumblr.', ZEE_LANG),
						"id" => "themeZee_tumblr",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");	
						
		$themezee_settings[] = array("name" => "LinkedIn",
						"desc" => __('Введите адрес профиля LinkedIn.', ZEE_LANG),
						"id" => "themeZee_linkedin",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");	
						
		$themezee_settings[] = array("name" => "Xing",
						"desc" => __('Введите адрес вашего Xing профиля.', ZEE_LANG),
						"id" => "themeZee_xing",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");	
						
		$themezee_settings[] = array("name" => "Delicious",
						"desc" => __('Введите адрес вашего профиля Delicious.', ZEE_LANG),
						"id" => "themeZee_delicious",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Digg",
						"desc" => __('Введите адрес вашего профиля Digg.', ZEE_LANG),
						"id" => "themeZee_digg",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Flickr",
						"desc" => __('Введите адрес вашего профиля Flickr.', ZEE_LANG),
						"id" => "themeZee_flickr",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");	
						
		$themezee_settings[] = array("name" => "Youtube",
						"desc" => __('Введите адрес вашего профиля Youtube.', ZEE_LANG),
						"id" => "themeZee_youtube",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		$themezee_settings[] = array("name" => "Vimeo",
						"desc" => __('Введите адрес вашего профиля Vimeo.', ZEE_LANG),
						"id" => "themeZee_vimeo",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_buttons");
						
		### 125x125 Banner SETTINGS
		#######################################################################################	
		
		$themezee_settings[] = array("name" => __('Ротировать баннеры?', ZEE_LANG),
						"desc" => __('Отметьте, если вы произвольно хотите сменять баннеры.', ZEE_LANG),
						"id" => "themeZee_rotate",
						"std" => "false",
						"type" => "checkbox",
						"section" => "themeZee_banner");	

		$themezee_settings[] = array("name" => __('Изображение первого баннера', ZEE_LANG) . ' #1',
						"desc" => __('Введите адрес изображения для этого рекламного места.', ZEE_LANG),
						"id" => "themeZee_ad_image_1",
						"std" => $default_banner,
						"type" => "text",
						"section" => "themeZee_banner");
							
		$themezee_settings[] = array("name" =>  __('Ссылка с баннера', ZEE_LANG) . ' #1',
						"desc" => __('Укажите, куда ведет баннер.', ZEE_LANG),
						"id" => "themeZee_ad_url_1",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");

		$themezee_settings[] = array("name" => __('Изображение второго баннера', ZEE_LANG) . ' #2',
						"desc" => "",
						"id" => "themeZee_ad_image_2",
						"std" => $default_banner,
						"type" => "text",
						"section" => "themeZee_banner");
							
		$themezee_settings[] = array("name" => __('Ссылка с баннера', ZEE_LANG) . ' #2',
						"desc" => "",
						"id" => "themeZee_ad_url_2",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");

		$themezee_settings[] = array("name" => __('Изображение третьего баннера', ZEE_LANG) . ' #3',
						"desc" => "",
						"id" => "themeZee_ad_image_3",
						"std" => $default_banner,
						"type" => "text",
						"section" => "themeZee_banner");
							
		$themezee_settings[] = array("name" => __('Ссылка с баннера', ZEE_LANG) . ' #3',
						"desc" => "",
						"id" => "themeZee_ad_url_3",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");

		$themezee_settings[] = array("name" => __('Изображение четвертого баннера', ZEE_LANG) . ' #4',
						"desc" => "",
						"id" => "themeZee_ad_image_4",
						"std" => $default_banner,
						"type" => "text",
						"section" => "themeZee_banner");
							
		$themezee_settings[] = array("name" => __('Ссылка с баннера', ZEE_LANG) . ' #4',
						"desc" => "",
						"id" => "themeZee_ad_url_4",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");

		$themezee_settings[] = array("name" => __('Изображение пятого баннера', ZEE_LANG) . ' #5',
						"desc" => "",
						"id" => "themeZee_ad_image_5",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");
							
		$themezee_settings[] = array("name" => __('Ссылка с баннера', ZEE_LANG) . ' #5',
						"desc" => "",
						"id" => "themeZee_ad_url_5",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");

		$themezee_settings[] = array("name" => __('Изображение шестого баннера', ZEE_LANG) . ' #6',
						"desc" => "",
						"id" => "themeZee_ad_image_6",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");
							
		$themezee_settings[] = array("name" => __('Ссылка с баннера', ZEE_LANG) . ' #6',
						"desc" => "",
						"id" => "themeZee_ad_url_6",
						"std" => "",
						"type" => "text",
						"section" => "themeZee_banner");
						
		return $themezee_settings;
	}

?>